Package org.opensaml.xmlsec.algorithm

# Interface MACAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`

All Known Implementing Classes:
  `HMACMD5`, `HMACRIPEMD160`, `HMACSHA1`, `HMACSHA224`, `HMACSHA256`, `HMACSHA384`, `HMACSHA512`

public interface MACAlgorithm extends AlgorithmDescriptor
Interface for message authentication code (MAC) algorithm descriptors.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigest()`
Get the JCA digest algorithm specified by this algorithm.

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`

## Method Details

### getDigest

@Nonnull @NotEmpty String getDigest()
Get the JCA digest algorithm specified by this algorithm.

Returns:
  the digest algorithm